[mate-netspeed] Fix RHBZ 918641

Dan Mashal vicodan at fedoraproject.org
Fri Mar 8 07:51:29 UTC 2013


commit e2eb0a33df89f190f2d311e4504434ee16e66365
Author: Dan Mashal <dan.mashal at fedoraproject.org>
Date:   Thu Mar 7 23:51:15 2013 -0800

    Fix RHBZ 918641

 mate-netspeed.spec     |    9 +-
 netspeed_commits.patch |  591 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 598 insertions(+), 2 deletions(-)
---
diff --git a/mate-netspeed.spec b/mate-netspeed.spec
index 0fc608e..a5e905b 100644
--- a/mate-netspeed.spec
+++ b/mate-netspeed.spec
@@ -1,10 +1,12 @@
 Name:           mate-netspeed
 Version:        1.5.1
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        MATE netspeed
 License:        GPLv2+
 URL:            http://www.mate-desktop.org
 Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz
+#Fix RHBZ #918641
+Patch0: netspeed_commits.patch
 
 BuildRequires:  mate-common
 BuildRequires:  mate-doc-utils
@@ -19,6 +21,7 @@ traffic occurs on a specified network device.
 
 %prep
 %setup -q
+%patch0 -p1
 %build
 NOCONFIGURE=1 ./autogen.sh
 export LDFLAGS="$LDFLAGS -lm"
@@ -66,9 +69,11 @@ fi
 %{_datadir}/icons/hicolor/scalable/apps/mate-netspeed-applet.svg
 %{_datadir}/mate-panel/applets/org.mate.panel.NetspeedApplet.mate-panel-applet
 %{_datadir}/mate-panel/ui/netspeed-menu.xml
-%{_datadir}/MateConf/gsettings/mate-netspeed.convert
 
 %changelog
+* Thu Mar 07 2013 Dan Mashal <dan.mashal at fedoraproject.org> - 1.5.1-2
+- Fix performance issues
+
 * Sat Feb 23 2013 Dan Mashal <dan.mashal at fedoraproject.org> - 1.5.1-1
 - Update to latest upstream release
 
diff --git a/netspeed_commits.patch b/netspeed_commits.patch
new file mode 100644
index 0000000..7709c18
--- /dev/null
+++ b/netspeed_commits.patch
@@ -0,0 +1,591 @@
+diff -uNrp f/data/Makefile.am e/data/Makefile.am
+--- f/data/Makefile.am	2013-02-23 06:23:22.000000000 -0800
++++ e/data/Makefile.am	2013-03-07 23:41:26.605857329 -0800
+@@ -26,7 +26,4 @@ gsettings_SCHEMAS = org.mate.panel.apple
+ @INTLTOOL_XML_NOMERGE_RULE@
+ @GSETTINGS_RULES@
+ 
+-convertdir = $(datadir)/MateConf/gsettings
+-convert_DATA = mate-netspeed.convert
+-
+-EXTRA_DIST = org.mate.panel.NetspeedApplet.mate-panel-applet.in.in $(xmlui_DATA) $(service_in_files) $(convert_DATA)
++EXTRA_DIST = org.mate.panel.NetspeedApplet.mate-panel-applet.in.in $(xmlui_DATA) $(service_in_files) 
+\ No newline at end of file
+diff -uNrp f/data/mate-netspeed.convert e/data/mate-netspeed.convert
+--- f/data/mate-netspeed.convert	2013-02-23 06:23:22.000000000 -0800
++++ e/data/mate-netspeed.convert	1969-12-31 16:00:00.000000000 -0800
+@@ -1,10 +0,0 @@
+-[org.mate.panel.applet.netspeed]
+-device = /apps/panel/applets/netspeed/device
+-show-sum = /apps/panel/applets/netspeed/show_sum
+-show-bits = /apps/panel/applets/netspeed/show_bits
+-change-icon = /apps/panel/applets/netspeed/change_icon
+-auto-change-device = /apps/panel/applets/netspeed/auto_change_device
+-in-color = /apps/panel/applets/netspeed/in_color
+-out-color = /apps/panel/applets/netspeed/out_color
+-up-command = /apps/panel/applets/netspeed/up_command
+-down-command = /apps/panel/applets/netspeed/down_command
+diff -uNrp f/.git/config e/.git/config
+--- f/.git/config	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/config	2013-03-07 23:41:26.594857219 -0800
+@@ -0,0 +1,11 @@
++[core]
++	repositoryformatversion = 0
++	filemode = true
++	bare = false
++	logallrefupdates = true
++[remote "origin"]
++	url = git://github.com/mate-desktop/mate-netspeed
++	fetch = +refs/heads/*:refs/remotes/origin/*
++[branch "master"]
++	remote = origin
++	merge = refs/heads/master
+diff -uNrp f/.git/description e/.git/description
+--- f/.git/description	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/description	2013-03-07 23:41:23.513832807 -0800
+@@ -0,0 +1 @@
++Unnamed repository; edit this file 'description' to name the repository.
+diff -uNrp f/.git/HEAD e/.git/HEAD
+--- f/.git/HEAD	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/HEAD	2013-03-07 23:41:26.593857209 -0800
+@@ -0,0 +1 @@
++ref: refs/heads/master
+diff -uNrp f/.git/hooks/applypatch-msg.sample e/.git/hooks/applypatch-msg.sample
+--- f/.git/hooks/applypatch-msg.sample	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/hooks/applypatch-msg.sample	2013-03-07 23:41:23.513832807 -0800
+@@ -0,0 +1,15 @@
++#!/bin/sh
++#
++# An example hook script to check the commit log message taken by
++# applypatch from an e-mail message.
++#
++# The hook should exit with non-zero status after issuing an
++# appropriate message if it wants to stop the commit.  The hook is
++# allowed to edit the commit message file.
++#
++# To enable this hook, rename this file to "applypatch-msg".
++
++. git-sh-setup
++test -x "$GIT_DIR/hooks/commit-msg" &&
++	exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
++:
+diff -uNrp f/.git/hooks/commit-msg.sample e/.git/hooks/commit-msg.sample
+--- f/.git/hooks/commit-msg.sample	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/hooks/commit-msg.sample	2013-03-07 23:41:23.513832807 -0800
+@@ -0,0 +1,24 @@
++#!/bin/sh
++#
++# An example hook script to check the commit log message.
++# Called by "git commit" with one argument, the name of the file
++# that has the commit message.  The hook should exit with non-zero
++# status after issuing an appropriate message if it wants to stop the
++# commit.  The hook is allowed to edit the commit message file.
++#
++# To enable this hook, rename this file to "commit-msg".
++
++# Uncomment the below to add a Signed-off-by line to the message.
++# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
++# hook is more suited to it.
++#
++# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
++# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
++
++# This example catches duplicate Signed-off-by lines.
++
++test "" = "$(grep '^Signed-off-by: ' "$1" |
++	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
++	echo >&2 Duplicate Signed-off-by lines.
++	exit 1
++}
+diff -uNrp f/.git/hooks/post-update.sample e/.git/hooks/post-update.sample
+--- f/.git/hooks/post-update.sample	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/hooks/post-update.sample	2013-03-07 23:41:23.513832807 -0800
+@@ -0,0 +1,8 @@
++#!/bin/sh
++#
++# An example hook script to prepare a packed repository for use over
++# dumb transports.
++#
++# To enable this hook, rename this file to "post-update".
++
++exec git update-server-info
+diff -uNrp f/.git/hooks/pre-applypatch.sample e/.git/hooks/pre-applypatch.sample
+--- f/.git/hooks/pre-applypatch.sample	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/hooks/pre-applypatch.sample	2013-03-07 23:41:23.513832807 -0800
+@@ -0,0 +1,14 @@
++#!/bin/sh
++#
++# An example hook script to verify what is about to be committed
++# by applypatch from an e-mail message.
++#
++# The hook should exit with non-zero status after issuing an
++# appropriate message if it wants to stop the commit.
++#
++# To enable this hook, rename this file to "pre-applypatch".
++
++. git-sh-setup
++test -x "$GIT_DIR/hooks/pre-commit" &&
++	exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
++:
+diff -uNrp f/.git/hooks/pre-commit.sample e/.git/hooks/pre-commit.sample
+--- f/.git/hooks/pre-commit.sample	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/hooks/pre-commit.sample	2013-03-07 23:41:23.513832807 -0800
+@@ -0,0 +1,50 @@
++#!/bin/sh
++#
++# An example hook script to verify what is about to be committed.
++# Called by "git commit" with no arguments.  The hook should
++# exit with non-zero status after issuing an appropriate message if
++# it wants to stop the commit.
++#
++# To enable this hook, rename this file to "pre-commit".
++
++if git rev-parse --verify HEAD >/dev/null 2>&1
++then
++	against=HEAD
++else
++	# Initial commit: diff against an empty tree object
++	against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
++fi
++
++# If you want to allow non-ascii filenames set this variable to true.
++allownonascii=$(git config hooks.allownonascii)
++
++# Redirect output to stderr.
++exec 1>&2
++
++# Cross platform projects tend to avoid non-ascii filenames; prevent
++# them from being added to the repository. We exploit the fact that the
++# printable range starts at the space character and ends with tilde.
++if [ "$allownonascii" != "true" ] &&
++	# Note that the use of brackets around a tr range is ok here, (it's
++	# even required, for portability to Solaris 10's /usr/bin/tr), since
++	# the square bracket bytes happen to fall in the designated range.
++	test $(git diff --cached --name-only --diff-filter=A -z $against |
++	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
++then
++	echo "Error: Attempt to add a non-ascii file name."
++	echo
++	echo "This can cause problems if you want to work"
++	echo "with people on other platforms."
++	echo
++	echo "To be portable it is advisable to rename the file ..."
++	echo
++	echo "If you know what you are doing you can disable this"
++	echo "check using:"
++	echo
++	echo "  git config hooks.allownonascii true"
++	echo
++	exit 1
++fi
++
++# If there are whitespace errors, print the offending file names and fail.
++exec git diff-index --check --cached $against --
+diff -uNrp f/.git/hooks/prepare-commit-msg.sample e/.git/hooks/prepare-commit-msg.sample
+--- f/.git/hooks/prepare-commit-msg.sample	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/hooks/prepare-commit-msg.sample	2013-03-07 23:41:23.513832807 -0800
+@@ -0,0 +1,36 @@
++#!/bin/sh
++#
++# An example hook script to prepare the commit log message.
++# Called by "git commit" with the name of the file that has the
++# commit message, followed by the description of the commit
++# message's source.  The hook's purpose is to edit the commit
++# message file.  If the hook fails with a non-zero status,
++# the commit is aborted.
++#
++# To enable this hook, rename this file to "prepare-commit-msg".
++
++# This hook includes three examples.  The first comments out the
++# "Conflicts:" part of a merge commit.
++#
++# The second includes the output of "git diff --name-status -r"
++# into the message, just before the "git status" output.  It is
++# commented because it doesn't cope with --amend or with squashed
++# commits.
++#
++# The third example adds a Signed-off-by line to the message, that can
++# still be edited.  This is rarely a good idea.
++
++case "$2,$3" in
++  merge,)
++    /usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
++
++# ,|template,)
++#   /usr/bin/perl -i.bak -pe '
++#      print "\n" . `git diff --cached --name-status -r`
++#	 if /^#/ && $first++ == 0' "$1" ;;
++
++  *) ;;
++esac
++
++# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
++# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+diff -uNrp f/.git/hooks/pre-rebase.sample e/.git/hooks/pre-rebase.sample
+--- f/.git/hooks/pre-rebase.sample	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/hooks/pre-rebase.sample	2013-03-07 23:41:23.513832807 -0800
+@@ -0,0 +1,169 @@
++#!/bin/sh
++#
++# Copyright (c) 2006, 2008 Junio C Hamano
++#
++# The "pre-rebase" hook is run just before "git rebase" starts doing
++# its job, and can prevent the command from running by exiting with
++# non-zero status.
++#
++# The hook is called with the following parameters:
++#
++# $1 -- the upstream the series was forked from.
++# $2 -- the branch being rebased (or empty when rebasing the current branch).
++#
++# This sample shows how to prevent topic branches that are already
++# merged to 'next' branch from getting rebased, because allowing it
++# would result in rebasing already published history.
++
++publish=next
++basebranch="$1"
++if test "$#" = 2
++then
++	topic="refs/heads/$2"
++else
++	topic=`git symbolic-ref HEAD` ||
++	exit 0 ;# we do not interrupt rebasing detached HEAD
++fi
++
++case "$topic" in
++refs/heads/??/*)
++	;;
++*)
++	exit 0 ;# we do not interrupt others.
++	;;
++esac
++
++# Now we are dealing with a topic branch being rebased
++# on top of master.  Is it OK to rebase it?
++
++# Does the topic really exist?
++git show-ref -q "$topic" || {
++	echo >&2 "No such branch $topic"
++	exit 1
++}
++
++# Is topic fully merged to master?
++not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
++if test -z "$not_in_master"
++then
++	echo >&2 "$topic is fully merged to master; better remove it."
++	exit 1 ;# we could allow it, but there is no point.
++fi
++
++# Is topic ever merged to next?  If so you should not be rebasing it.
++only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
++only_next_2=`git rev-list ^master           ${publish} | sort`
++if test "$only_next_1" = "$only_next_2"
++then
++	not_in_topic=`git rev-list "^$topic" master`
++	if test -z "$not_in_topic"
++	then
++		echo >&2 "$topic is already up-to-date with master"
++		exit 1 ;# we could allow it, but there is no point.
++	else
++		exit 0
++	fi
++else
++	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
++	/usr/bin/perl -e '
++		my $topic = $ARGV[0];
++		my $msg = "* $topic has commits already merged to public branch:\n";
++		my (%not_in_next) = map {
++			/^([0-9a-f]+) /;
++			($1 => 1);
++		} split(/\n/, $ARGV[1]);
++		for my $elem (map {
++				/^([0-9a-f]+) (.*)$/;
++				[$1 => $2];
++			} split(/\n/, $ARGV[2])) {
++			if (!exists $not_in_next{$elem->[0]}) {
++				if ($msg) {
++					print STDERR $msg;
++					undef $msg;
++				}
++				print STDERR " $elem->[1]\n";
++			}
++		}
++	' "$topic" "$not_in_next" "$not_in_master"
++	exit 1
++fi
++
++exit 0
++
++################################################################
++
++This sample hook safeguards topic branches that have been
++published from being rewound.
++
++The workflow assumed here is:
++
++ * Once a topic branch forks from "master", "master" is never
++   merged into it again (either directly or indirectly).
++
++ * Once a topic branch is fully cooked and merged into "master",
++   it is deleted.  If you need to build on top of it to correct
++   earlier mistakes, a new topic branch is created by forking at
++   the tip of the "master".  This is not strictly necessary, but
++   it makes it easier to keep your history simple.
++
++ * Whenever you need to test or publish your changes to topic
++   branches, merge them into "next" branch.
++
++The script, being an example, hardcodes the publish branch name
++to be "next", but it is trivial to make it configurable via
++$GIT_DIR/config mechanism.
++
++With this workflow, you would want to know:
++
++(1) ... if a topic branch has ever been merged to "next".  Young
++    topic branches can have stupid mistakes you would rather
++    clean up before publishing, and things that have not been
++    merged into other branches can be easily rebased without
++    affecting other people.  But once it is published, you would
++    not want to rewind it.
++
++(2) ... if a topic branch has been fully merged to "master".
++    Then you can delete it.  More importantly, you should not
++    build on top of it -- other people may already want to
++    change things related to the topic as patches against your
++    "master", so if you need further changes, it is better to
++    fork the topic (perhaps with the same name) afresh from the
++    tip of "master".
++
++Let's look at this example:
++
++		   o---o---o---o---o---o---o---o---o---o "next"
++		  /       /           /           /
++		 /   a---a---b A     /           /
++		/   /               /           /
++	       /   /   c---c---c---c B         /
++	      /   /   /             \         /
++	     /   /   /   b---b C     \       /
++	    /   /   /   /             \     /
++    ---o---o---o---o---o---o---o---o---o---o---o "master"
++
++
++A, B and C are topic branches.
++
++ * A has one fix since it was merged up to "next".
++
++ * B has finished.  It has been fully merged up to "master" and "next",
++   and is ready to be deleted.
++
++ * C has not merged to "next" at all.
++
++We would want to allow C to be rebased, refuse A, and encourage
++B to be deleted.
++
++To compute (1):
++
++	git rev-list ^master ^topic next
++	git rev-list ^master        next
++
++	if these match, topic has not merged in next at all.
++
++To compute (2):
++
++	git rev-list master..topic
++
++	if this is empty, it is fully merged to "master".
+diff -uNrp f/.git/hooks/update.sample e/.git/hooks/update.sample
+--- f/.git/hooks/update.sample	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/hooks/update.sample	2013-03-07 23:41:23.513832807 -0800
+@@ -0,0 +1,128 @@
++#!/bin/sh
++#
++# An example hook script to blocks unannotated tags from entering.
++# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
++#
++# To enable this hook, rename this file to "update".
++#
++# Config
++# ------
++# hooks.allowunannotated
++#   This boolean sets whether unannotated tags will be allowed into the
++#   repository.  By default they won't be.
++# hooks.allowdeletetag
++#   This boolean sets whether deleting tags will be allowed in the
++#   repository.  By default they won't be.
++# hooks.allowmodifytag
++#   This boolean sets whether a tag may be modified after creation. By default
++#   it won't be.
++# hooks.allowdeletebranch
++#   This boolean sets whether deleting branches will be allowed in the
++#   repository.  By default they won't be.
++# hooks.denycreatebranch
++#   This boolean sets whether remotely creating branches will be denied
++#   in the repository.  By default this is allowed.
++#
++
++# --- Command line
++refname="$1"
++oldrev="$2"
++newrev="$3"
++
++# --- Safety check
++if [ -z "$GIT_DIR" ]; then
++	echo "Don't run this script from the command line." >&2
++	echo " (if you want, you could supply GIT_DIR then run" >&2
++	echo "  $0 <ref> <oldrev> <newrev>)" >&2
++	exit 1
++fi
++
++if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
++	echo "Usage: $0 <ref> <oldrev> <newrev>" >&2
++	exit 1
++fi
++
++# --- Config
++allowunannotated=$(git config --bool hooks.allowunannotated)
++allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
++denycreatebranch=$(git config --bool hooks.denycreatebranch)
++allowdeletetag=$(git config --bool hooks.allowdeletetag)
++allowmodifytag=$(git config --bool hooks.allowmodifytag)
++
++# check for no description
++projectdesc=$(sed -e '1q' "$GIT_DIR/description")
++case "$projectdesc" in
++"Unnamed repository"* | "")
++	echo "*** Project description file hasn't been set" >&2
++	exit 1
++	;;
++esac
++
++# --- Check types
++# if $newrev is 0000...0000, it's a commit to delete a ref.
++zero="0000000000000000000000000000000000000000"
++if [ "$newrev" = "$zero" ]; then
++	newrev_type=delete
++else
++	newrev_type=$(git cat-file -t $newrev)
++fi
++
++case "$refname","$newrev_type" in
++	refs/tags/*,commit)
++		# un-annotated tag
++		short_refname=${refname##refs/tags/}
++		if [ "$allowunannotated" != "true" ]; then
++			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
++			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
++			exit 1
++		fi
++		;;
++	refs/tags/*,delete)
++		# delete tag
++		if [ "$allowdeletetag" != "true" ]; then
++			echo "*** Deleting a tag is not allowed in this repository" >&2
++			exit 1
++		fi
++		;;
++	refs/tags/*,tag)
++		# annotated tag
++		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
++		then
++			echo "*** Tag '$refname' already exists." >&2
++			echo "*** Modifying a tag is not allowed in this repository." >&2
++			exit 1
++		fi
++		;;
++	refs/heads/*,commit)
++		# branch
++		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
++			echo "*** Creating a branch is not allowed in this repository" >&2
++			exit 1
++		fi
++		;;
++	refs/heads/*,delete)
++		# delete branch
++		if [ "$allowdeletebranch" != "true" ]; then
++			echo "*** Deleting a branch is not allowed in this repository" >&2
++			exit 1
++		fi
++		;;
++	refs/remotes/*,commit)
++		# tracking branch
++		;;
++	refs/remotes/*,delete)
++		# delete tracking branch
++		if [ "$allowdeletebranch" != "true" ]; then
++			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
++			exit 1
++		fi
++		;;
++	*)
++		# Anything else (is there anything else?)
++		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
++		exit 1
++		;;
++esac
++
++# --- Finished
++exit 0
+Binary files f/.git/index and e/.git/index differ
+diff -uNrp f/.git/info/exclude e/.git/info/exclude
+--- f/.git/info/exclude	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/info/exclude	2013-03-07 23:41:23.510833060 -0800
+@@ -0,0 +1,6 @@
++# git ls-files --others --exclude-from=.git/info/exclude
++# Lines that start with '#' are comments.
++# For a project mostly in C, the following would be a good set of
++# exclude patterns (uncomment them if you want to use them):
++# *.[oa]
++# *~
+diff -uNrp f/.git/logs/HEAD e/.git/logs/HEAD
+--- f/.git/logs/HEAD	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/logs/HEAD	2013-03-07 23:41:26.593857209 -0800
+@@ -0,0 +1 @@
++0000000000000000000000000000000000000000 6cf3d45684c866ef6c7a031123df73d4aacb7872 Dan Mashal <dan.mashal at fedoraproject.org> 1362728486 -0800	clone: from git://github.com/mate-desktop/mate-netspeed
+diff -uNrp f/.git/logs/refs/heads/master e/.git/logs/refs/heads/master
+--- f/.git/logs/refs/heads/master	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/logs/refs/heads/master	2013-03-07 23:41:26.593857209 -0800
+@@ -0,0 +1 @@
++0000000000000000000000000000000000000000 6cf3d45684c866ef6c7a031123df73d4aacb7872 Dan Mashal <dan.mashal at fedoraproject.org> 1362728486 -0800	clone: from git://github.com/mate-desktop/mate-netspeed
+diff -uNrp f/.git/logs/refs/remotes/origin/HEAD e/.git/logs/refs/remotes/origin/HEAD
+--- f/.git/logs/refs/remotes/origin/HEAD	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/logs/refs/remotes/origin/HEAD	2013-03-07 23:41:26.593857209 -0800
+@@ -0,0 +1 @@
++0000000000000000000000000000000000000000 6cf3d45684c866ef6c7a031123df73d4aacb7872 Dan Mashal <dan.mashal at fedoraproject.org> 1362728486 -0800	clone: from git://github.com/mate-desktop/mate-netspeed
+Binary files f/.git/objects/pack/pack-a5d58e8952eaab4d1616e89b0e947b00a05590ba.idx and e/.git/objects/pack/pack-a5d58e8952eaab4d1616e89b0e947b00a05590ba.idx differ
+Binary files f/.git/objects/pack/pack-a5d58e8952eaab4d1616e89b0e947b00a05590ba.pack and e/.git/objects/pack/pack-a5d58e8952eaab4d1616e89b0e947b00a05590ba.pack differ
+diff -uNrp f/.git/packed-refs e/.git/packed-refs
+--- f/.git/packed-refs	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/packed-refs	2013-03-07 23:41:26.578857059 -0800
+@@ -0,0 +1,10 @@
++# pack-refs with: peeled 
++6cf3d45684c866ef6c7a031123df73d4aacb7872 refs/remotes/origin/master
++964dfc5d3e40acd2d710cd11ff7632cd10d54c4b refs/tags/mate-netspeed-1.1.0
++^5480cc5b235147fcf6ed78e01f7134159bec9165
++fd1c6e48f9a99d8604e5801730c19eac802e81b4 refs/tags/mate-netspeed-1.2.0
++^bb0da06fd8ebab37f2a277f74db2abff3ed9a78a
++ed0c2d1a326f7f540c453a0af1c72c617efe28b5 refs/tags/mate-netspeed-1.4.0
++^2cf788e83f2529b924f70667857a8651ed0fca42
++97d49dc6946267106ef7ddc445fe7b6d77057f4e refs/tags/mate-netspeed-1.5.0
++3ee341bdfab486c030f73aa9ffb304a6e81488a7 refs/tags/mate-netspeed-1.5.1
+diff -uNrp f/.git/refs/heads/master e/.git/refs/heads/master
+--- f/.git/refs/heads/master	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/refs/heads/master	2013-03-07 23:41:26.593857209 -0800
+@@ -0,0 +1 @@
++6cf3d45684c866ef6c7a031123df73d4aacb7872
+diff -uNrp f/.git/refs/remotes/origin/HEAD e/.git/refs/remotes/origin/HEAD
+--- f/.git/refs/remotes/origin/HEAD	1969-12-31 16:00:00.000000000 -0800
++++ e/.git/refs/remotes/origin/HEAD	2013-03-07 23:41:26.593857209 -0800
+@@ -0,0 +1 @@
++ref: refs/remotes/origin/master
+diff -uNrp f/.tx/config e/.tx/config
+--- f/.tx/config	1969-12-31 16:00:00.000000000 -0800
++++ e/.tx/config	2013-03-07 23:41:26.601857289 -0800
+@@ -0,0 +1,7 @@
++[main]
++host = https://www.transifex.com
++
++[MATE.mate-netspeed]
++file_filter = po/<lang>.po
++source_file = po/mate-netspeed.pot
++source_lang = en


More information about the scm-commits mailing list